Bug 847119 - Can only change certain configuration properties on AS7 Datasource
Can only change certain configuration properties on AS7 Datasource
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6 (Show other bugs)
JON 3.1.0
Unspecified Unspecified
high Severity urgent
: ER02
: JON 3.1.1
Assigned To: RHQ Project Maintainer
Mike Foley
: 854387 (view as bug list)
Depends On: 838670
Blocks: as7-plugin rhq-uxd
  Show dependency treegraph
Reported: 2012-08-09 14:33 EDT by Heiko W. Rupp
Modified: 2013-09-11 07:02 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 838670
Last Closed: 2013-09-11 07:02:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-08-09 14:33:53 EDT
+++ This bug was initially created as a clone of Bug #838670 +++

JON 310

1) Goto the Configuration>Current subtab of the ExampleDS which ships out of the box with EAP6
2) Some rows are editable, some are not, e.g. I can change the min/max pool size, but I can't change the username or password fields. See screenshot.

I don't know if this is an AS7 issue or a UI rendering issue

--- Additional comment from ccrouch@redhat.com on 2012-07-09 14:23:38 EDT ---

Created attachment 597126 [details]

--- Additional comment from hrupp@redhat.com on 2012-08-09 14:33:29 EDT ---

They used to be r/o when datasources were done in as7. The argument was always that the user can delete + re-create for changes.

Looks like this has changed for EAP6 and we have missed that change.
Comment 1 Heiko W. Rupp 2012-08-09 16:11:09 EDT
master commit is 71dc21ab49b1
Comment 2 Heiko W. Rupp 2012-08-10 08:56:44 EDT
release branch 79cbe6c8250c3c5
Comment 3 John Sanda 2012-08-13 22:16:44 EDT
Moving to ON_QA since JON 3.1.1 ER2 build is availble - https://brewweb.devel.redhat.com/buildinfo?buildID=228250
Comment 4 Armine Hovsepyan 2012-08-21 11:16:10 EDT
all the parameters are configurable including User name and Passport for connections. (checked also under IE8 )
Comment 5 Larry O'Leary 2012-09-04 20:56:21 EDT
*** Bug 854387 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.